
%define qtmajor 5
%define qtminor 10
%define qtsubminor 0

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}


%define qttarballdir qtquickcontrols-everywhere-src-%{qtversion}

Name: qtquickcontrols5
Version: 5.10.0
Release: %mkrel 1
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0:  http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}
BuildRequires: qtgui5-private-devel = %{version}
BuildRequires: qtquick5-devel = %{version}
BuildRequires: qtquick5-private-devel = %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Others


%description
Qt Quick Controls.

%files
%{_qt5_prefix}/qml/QtQuick/Controls
%{_qt5_prefix}/qml/QtQuick/Dialogs
%{_qt5_prefix}/qml/QtQuick/PrivateWidgets
%{_qt5_prefix}/qml/QtQuick/Extras

#------------------------------------------------------------------------------

%prep
%setup -q -n qtquickcontrols-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std
rm -rf %{buildroot}/%_qt5_examplesdir


%changelog
* Sat Dec 09 2017 bb2 <bb2> - 5.10.0-1pclos2017
- new version

* Wed Nov 22 2017 bb2 <bb2> - 5.9.3-1pclos2017
- new version

* Fri Oct 06 2017 bb2 <bb2> - 5.9.2-1pclos2017
- new version

* Fri Jun 30 2017 bb2 <bb2> - 5.9.1-1pclos2017
- new version

* Mon Jun 04 2017 bb2 <bb2> 5.9.0-1pclos2017
- new version

* Thu Oct 13 2016 bb <bb> 5.6.2-1pclos2016
- update

* Tue Jul 12 2016 bb <bb> 5.6.1-2pclos2016
- updated tarball

* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Fri Mar 18 2016 bb <bb> 5.6.0-1pclos2016
- update
